Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlQuery.BatchExecutionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlQuery.BatchExecutionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlQuery

    public static final class QSqlQuery.BatchExecutionMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QSqlQuery.BatchExecutionMode` | `ValuesAsColumns` - Updates a single row.
`static QSqlQuery.BatchExecutionMode` | `ValuesAsRows` - Updates multiple rows.

Method Summary
`static QSqlQuery.BatchExecutionMode` | `resolve(int value)` Returns the QSqlQuery$BatchExecutionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlQuery.BatchExecutionMode` | `valueOf(java.lang.String name)`
`static QSqlQuery.BatchExecutionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ValuesAsRows

    public static final QSqlQuery.BatchExecutionMode ValuesAsRows

  - Updates multiple rows. Treats every entry in a QVariantList as a value for updating the next row.

### ValuesAsColumns

    public static final QSqlQuery.BatchExecutionMode ValuesAsColumns

  - Updates a single row. Treats every entry in a QVariantList as a single value of an array type.

Method Detail

### values

    public static QSqlQuery.BatchExecutionMode[] values()

### valueOf

    public static QSqlQuery.BatchExecutionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlQuery.BatchExecutionMode resolve(int value)

  Returns the QSqlQuery$BatchExecutionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD